<?php
require('fpdf/fpdf.php');
define('FPDF_FONTPATH', 'fpdf/font/'); 
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);


//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$sessao = new sessao();
$controle=$sessao->getVar('controle');//esta variavel que que controlara se vai ser laudo basico,singenta,rondonopolis etc
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$anoCorrente=$sessao->getVar('anocorrente');
$anoAmostra=$anoCorrente;
$finalidade=$sessao->getVar('finalidade');
$enquadramento=$finalidade;$nomeOperador=$sessao->getVar('nomeuser');
$amostraLong=$sessao->getVar('amostraLong');
//echo("amostralong= $amostraLong  controle= $controle<br>");
$objetocalculo = new calculos(); //calcula todos valores finais
$pdf=new FPDF('L','mm','A4'); //parametos da pagina 
			 $pdf->open();//abre o fpdf
			 //$pdf->AddPage();//adicionando a primera pafina
			 $pdf->SetFont('Arial','',12);
			 $pdf->SetDrawColor(10,10,10);
			 $maximoHAdobe=297;//isso para vertical
			 $maximoLAdobe=210;//isso para vertical
			 $maximoLAdobe=297;//isso para horizontal
			 $maximoHAdobe=210;//isso para horizontal
		     $margemEsquerdaExterna=10;
		     $margemEsquerda=10;
			 $margemDireita=$maximoLAdobe-16;
			 $larguraUtil=$maximoLAdobe-16;
			 $futer=$maximoHAdobe-10;
			 //$larguraUtil=$maximoLAdobe;
			 $cinza=220;
		     $fonte="Arial";
			 $nomeOperador=5;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 
			 $pdf->AddPage();//adicionando a primera pafina 
             $pdf->SetFont('Times','',8);
			 
			 //cabecalho
			 //$pdf->Line($margemEsquerda,1,$margemDireita,1);//LINHA vertical  DO CABECALHO	
			 $pdf-> Rect($margemEsquerda,1,$margemDireita,27);
			//$PDF -> Ln(4);
			//$PDF -> Rect(3,10,5,5,'F');
	         $pdf->SetFont('Times','B',11);
			 $pdf->setXY($margemEsquerda,30);	$pdf->Cell($larguraUtil,6,utf8_decode('LAUDO DE TETRAZÓLIO - Repetições e resumo'),1,1,'C');//lab nome
			 
			 $vetorLaboratorio=$objetocalculo->dadoslaboratorio();
			 $posicaoCab1=60;
			 $caminhoFinal="ImagensClientes/i".$idLabo.".JPG";
			 //echo("caminhofinal=$caminhoFinal<br>");
			 $pdf->Image($caminhoFinal,11,3,48,23,'JPG');
	         $pdf->SetFont('Times','B',9);
			 $cota1=3; $pdf->setXY($posicaoCab1,$cota1);	$pdf->Cell(140,5,$vetorLaboratorio[1],0,1,'C');//lab nome
			 $cota1=8; $pdf->setXY($posicaoCab1,$cota1);	$pdf->Cell(140,5,$vetorLaboratorio[2],0,1,'C');//lab nome
			 $cota1=13;$pdf->setXY($posicaoCab1,$cota1);	$pdf->Cell(140,5,$vetorLaboratorio[3],0,1,'C');//lab nome
			 $cota1=18; $pdf->setXY($posicaoCab1,$cota1);	$pdf->Cell(140,5,$vetorLaboratorio[4],0,1,'C');//lab nome
 
            
			//SETOR DE IDENTIFICACAO DA AMOSTRA
			 //ENTRA DE QUAKQUER MANEIRA
			$generica=new tabelagenerica();
			$generica1=new tabelagenerica();
			$generica->extras_select =" select fic_amostra,fic_ano, fic_lote,ctv_nome, prd_apelido,prd_nome,prd_endereco,fic_categoria,fic_id from  ficha,cultivar,remetente where  prd_id=fic_produtor && fic_cultivar=ctv_id and fic_id=".$amostraLong;
			//$generica->extras_select =" where fic_enquadramento='".$enquadramento."' && prd_id=fic_produtor && fic_cultivar=ctv_id and fic_ano='".$anoCorrente."'  && fic_labo=" . $idLabo;
			$generica->selecionaCamposEspecial($generica);
			while ($resgenerica= $generica->retornaDados()):
			    $amostra=$resgenerica->fic_amostra;//amostra
			    $lote=$resgenerica->fic_lote;
			    $cultivar=$resgenerica->ctv_nome;
			    $nome=$resgenerica->prd_nome;
			    $endereco=$resgenerica->prd_endereco;
			    $ano=$resgenerica->fic_ano;
                $amostraLong=$resgenerica->fic_id;
			endwhile; 
            $cota1=38; 
			$pdf-> Rect($margemEsquerda,$cota1,$margemDireita,10);
			//$cota1=$cota1+30;
			$pdf->setXY($margemEsquerda,$cota1);
		    $pdf->Cell(50,5,'Amostra:'.$amostra.'/'.$ano,1,0,'L');//amostra
		    $pdf->Cell(50,5,'Lote:'.$lote,1,0,'L');//lote
		    $pdf->Cell(50,5,'Cultivar:'.$cultivar,1,1,'L');//
		    $pdf->Cell(140,5,utf8_decode('Requerente:'.$nome),1,0,'L');//
		    $pdf->Cell(141,5,utf8_decode('Endereço:'.$endereco),1,0,'L');//
            //interpretacao
			$cota1=$cota1+20;
			$pdf-> Rect($margemEsquerda,$cota1,$margemDireita,10);
			//$cota1=$cota1+30;
			$pdf->setXY($margemEsquerda,$cota1);
		    $pdf->Cell(50,5,'xxVigor 80 ou mais-->Vigor alto',1,0,'L');//amostra
		    $pdf->Cell(50,5,'Vigor 70 a 80-->Vigor Medio',1,0,'L');//amostra
		    $pdf->Cell(50,5,'Vigor 60 a 70-->Vigor baixo',1,0,'L');//amostra
		    $pdf->Cell(70,5,'Vigor abaixo de 60-->Vigor muito baixo',1,0,'L');//amostra

			//vai preparar para mostrar os dados
	
			$objetocalculo=new calculos();
			//$modalidadeArquivada='8';
			$matrizResumo=$objetocalculo->calculaTetrazolioSojaABC($amostraLong,$modalidadeArquivada);
			$registrosRep1=$matrizResumo[1][19];
			$registrosRep2=$matrizResumo[2][19];
			$vigor=$matrizResumo[3][11];
			
			$cota1+=15;
			$pdf->setXY($margemEsquerda,$cota1);
            //venho aqui e digo o que eu quero imprimir  
            if($controle=='basico'):
	            $vetorIndice[1]=1;//
	            $vetorIndice[2]=3;//
	            $vetorIndice[3]=4;//
	            $vetorIndice[4]=6;//
	            $vetorIndice[5]=7;//
	            $vetorIndice[6]=9;//
	            $vetorIndice[7]=10;//
	            $vetorIndice[8]=11;//
	            $vetorIndice[9]=12;//
	            $vetorIndice[10]=13;//
	            $vetorIndice[11]=14;//
	            $limite=11;
	            $larg1=14;
	            $larg2=21;
            endif; 
            if($controle=='completo'):
	            $vetorIndice[1]=1;//
	            $vetorIndice[2]=2;//
	            $vetorIndice[3]=3;//
	            $vetorIndice[4]=4;//
	            $vetorIndice[5]=5;//
	            $vetorIndice[6]=6;//
	            $vetorIndice[7]=7;//
	            $vetorIndice[8]=8;//
	            $vetorIndice[9]=9;//
	            $vetorIndice[10]=10;//
	            $vetorIndice[11]=11;//
	            $vetorIndice[12]=12;//
	            $vetorIndice[13]=13;//
	            $vetorIndice[14]=14;//
	            $vetorIndice[15]=15;//
	            $vetorIndice[16]=16;//
	            $vetorIndice[17]=17;//
	            $vetorIndice[18]=18;//
	            $limite=18;
                $larg1=12;
                $larg2=21;
            endif; 
         
            if($controle=='syngenta'):
	            $vetorIndice[1]=11;//vigor
	            $vetorIndice[2]=10;//viabilidade
	            $vetorIndice[3]=6;//dm-morta
	            $vetorIndice[4]=9;//du-morta
	            $vetorIndice[5]=3;//dp-morta
	            $vetorIndice[6]=20;//sem dano
	            $vetorIndice[7]=21;//m2
	            $vetorIndice[8]=22;//u2
	            $vetorIndice[9]=23;//p2
	            $vetorIndice[10]=24;//m3
	            $vetorIndice[11]=25;//u3
	            $vetorIndice[12]=26;//p3
	            $vetorIndice[13]=27;//m4
	            $vetorIndice[14]=28;//u4
	            $vetorIndice[15]=29;//p4
	            $vetorIndice[16]=30;//m5
	            $vetorIndice[17]=31;//u5
	            $vetorIndice[18]=32;//p5
	            $vetorIndice[19]=13;//r3
	            $vetorIndice[20]=36;//obs
	            $limite=20;
                $larg1=11;
                $larg2=21;
            endif; 

 


            if($controle=='unisystem'):
	            $vetorIndice[1]=11;//vigor
	            $vetorIndice[2]=10;//viab
	            $vetorIndice[3]=5;//m45
	            $vetorIndice[4]=6;//m68
	            $vetorIndice[5]=4;//m18
	            $vetorIndice[6]=8;//u45
	            $vetorIndice[7]=9;//u68
	            $vetorIndice[8]=7;//u18
	            $vetorIndice[9]=2;//p45
	            $vetorIndice[10]=3;//p68
	            $vetorIndice[11]=1;//p18
	            $vetorIndice[12]=20;//c1 mesma coisa que sem dano
	            $vetorIndice[13]=16;//c2
	            $vetorIndice[14]=17;//c3
	            $vetorIndice[15]=13;//r3
	            $vetorIndice[16]=12;//duras
	            $vetorIndice[17]=18;//dano principal
	            $limite=17;
                $larg1=12;
                $larg2=21;
				$posicaoMaisLargo=17;
            endif; 

            if($controle=='3pinheiros'):
	            $vetorIndice[1]=11;//vigor
	            $vetorIndice[2]=10;//viab
	            $vetorIndice[3]=33;//m15
	            $vetorIndice[4]=6;//m68
	            $vetorIndice[5]=4;//m18
	            $vetorIndice[6]=34;//u15
	            $vetorIndice[7]=9;//u68
	            $vetorIndice[8]=7;//u18
	            $vetorIndice[9]=35;//p15
	            $vetorIndice[10]=3;//p68
	            $vetorIndice[11]=1;//p18
	            $vetorIndice[12]=13;//r3
	            $vetorIndice[13]=20;//sd
	            $vetorIndice[14]=18;//maio dano
	            $vetorIndice[15]=36;//obs o caplo ovservacao sempre no final o valor vem da amostra
	            $limite=15;
                $larg1=12;
                $larg2=21;
				$posicaoMaisLargo=14;
            endif; 


 

			for($i=0;$i<=3;$i++)
			{
			     if($i==0 || $i==3):  
				     for($j=1;$j<=$limite;$j++)
					 {
					       $indice=$vetorIndice[$j];
						   if($j==$limite):
	                		  $pdf->Cell($larg2,5,$matrizResumo[$i][$indice],1,1,'L');//item 19 com quebra e lagura 2
						   elseif($j==$posicaoMaisLargo):
	                		  $pdf->Cell($larg2,5,$matrizResumo[$i][$indice],1,0,'L');//a massa de dados todos com largura 1
						   else:
	                		  $pdf->Cell($larg1,5,$matrizResumo[$i][$indice],1,0,'L');//a massa de dados todos com largura 1
						   endif;
					 }
                  endif;
			}
			
			//$pdf->Line($margemEsquerda,$cota1,$margemDireita,$cota1);//linha externa superior	
		


ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");

		
		
?>
